Documents - Suggest Get
Suggests documents in the index that match the given partial query text.
GET https:///indexes('{indexName}')/docs/search.suggest?api-version=2025-11-01-preview&search={search}&suggesterName={suggesterName}
GET https:///indexes('{indexName}')/docs/search.suggest?api-version=2025-11-01-preview&search={search}&suggesterName={suggesterName}&$filter={$filter}&fuzzy={fuzzy}&highlightPostTag={highlightPostTag}&highlightPreTag={highlightPreTag}&minimumCoverage={minimumCoverage}&$orderby={$orderby}&searchFields={searchFields}&$select={$select}&$top={$top}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
index
|
path | True |
string |
The name of the index. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
|
search
|
query | True |
string |
The search text to use to suggest documents. Must be at least 1 character, and no more than 100 characters. |
|
suggester
|
query | True |
string |
The name of the suggester as specified in the suggesters collection that's part of the index definition. |
|
$filter
|
query |
string |
An OData expression that filters the documents considered for suggestions. |
|
|
$orderby
|
query |
string[] |
The list of OData $orderby expressions by which to sort the results. Each expression can be either a field name or a call to either the geo.distance() or the search.score() functions. Each expression can be followed by asc to indicate ascending, or desc to indicate descending. The default is ascending order. Ties will be broken by the match scores of documents. If no $orderby is specified, the default sort order is descending by document match score. There can be at most 32 $orderby clauses. |
|
|
$select
|
query |
string[] |
The list of fields to retrieve. If unspecified, only the key field will be included in the results. |
|
|
$top
|
query |
integer (int32) |
The number of suggestions to retrieve. The value must be a number between 1 and 100. The default is 5. |
|
|
fuzzy
|
query |
boolean |
A value indicating whether to use fuzzy matching for the suggestions query. Default is false. When set to true, the query will find terms even if there's a substituted or missing character in the search text. While this provides a better experience in some scenarios, it comes at a performance cost as fuzzy suggestions queries are slower and consume more resources. |
|
|
highlight
|
query |
string |
A string tag that is appended to hit highlights. Must be set with highlightPreTag. If omitted, hit highlighting of suggestions is disabled. |
|
|
highlight
|
query |
string |
A string tag that is prepended to hit highlights. Must be set with highlightPostTag. If omitted, hit highlighting of suggestions is disabled. |
|
|
minimum
|
query |
number (double) |
A number between 0 and 100 indicating the percentage of the index that must be covered by a suggestions query in order for the query to be reported as a success. This parameter can be useful for ensuring search availability even for services with only one replica. The default is 80. |
|
|
search
|
query |
string[] |
The list of field names to search for the specified search text. Target fields must be included in the specified suggester. |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| Accept | True |
The Accept header. |
|
| x-ms-client-request-id |
string (uuid) |
An opaque, globally-unique, client-generated string identifier for the request. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The request has succeeded. |
|
| Other Status Codes |
An unexpected error response. |
Security
api-key
Type:
apiKey
In:
header
OAuth2Auth
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/v2.0/authorize
Scopes
| Name | Description |
|---|---|
| https://search.azure.com/.default |
Examples
SearchIndexSuggestDocumentsGet
Sample request
GET https:///indexes('myindex')/docs/search.suggest?api-version=2025-11-01-preview&search=hote&suggesterName=sg&$filter=rating gt 10&fuzzy=False&highlightPostTag=</em>&highlightPreTag=<em>&minimumCoverage=80&$orderby=search.score() desc,rating desc&searchFields=title&$select=docId,title,description&$top=10
Sample response
{
"value": [
{
"@search.text": "Nice <em>Hotel</em>",
"description": "Cheapest hotel in town",
"docId": "1",
"title": "Nice Hotel"
},
{
"@search.text": "Fancy <em>Hotel</em>",
"description": "Best hotel in town",
"docId": "2",
"title": "Fancy Hotel"
}
]
}
Definitions
| Name | Description |
|---|---|
| Accept |
The Accept header. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Common error response for all Azure Resource Manager APIs to return error details for failed operations. (This also follows the OData error response format.). |
|
Suggest |
Response containing suggestion query results from an index. |
|
Suggest |
A result containing a document found by a suggestion query, plus associated metadata. |
Accept
The Accept header.
| Value | Description |
|---|---|
| application/json;odata.metadata=none |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
|
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Common error response for all Azure Resource Manager APIs to return error details for failed operations. (This also follows the OData error response format.).
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
SuggestDocumentsResult
Response containing suggestion query results from an index.
| Name | Type | Description |
|---|---|---|
| @search.coverage |
number (double) |
A value indicating the percentage of the index that was included in the query, or null if minimumCoverage was not set in the request. |
| value |
The sequence of results returned by the query. |
SuggestResult
A result containing a document found by a suggestion query, plus associated metadata.
| Name | Type | Description |
|---|---|---|
| @search.text |
string |
The text of the suggestion result. |